//  Created by Allen Ingling on Fri Jun 18 2004.
//  Copyright (c) 2004 New York University. All rights reserved.

#import "CharTime.h"
#include "PrecisionTime.h"

@implementation CharTime

/*
 *    extended methods
 */
 
- (void)setKeyString:(NSString*)key timeStamp:(NSTimeInterval)time
{
 	if(keyCharacters!=nil)
		[keyCharacters release];
	keyCharacters=[key copy];
	timeStamp=time;
}

- (NSTimeInterval)getTimeStamp
{
	return(timeStamp);
}

- (NSMutableString*)getKeyString;
{
	NSMutableString		*returnString;
	
	returnString= [keyCharacters copy];
	[returnString autorelease];
	return(returnString);
}



/*
 *    override methods
 */

- (id)init 
{
	if(self = [super init]){
		keyCharacters=nil;
    }
	return self;

}

- (void)dealloc
{
	if(keyCharacters!=nil)
		[keyCharacters release];
	[super dealloc];
}


@end
